import numpy as np
import matplotlib.pylab as plt
from gccestimating import GCC, corrlags
#
nsamp = 1024
#
noise1 =  0.5*np.random.randn(nsamp)
sig1 = np.zeros(nsamp) + noise1
#
noise2 =  0.5*np.random.randn(nsamp)
sig2 = np.zeros_like(sig1) + noise2
#
noise_both = np.random.randn(256)
#
sig1[:256] = noise_both
sig2[500:756] = noise_both
#
lags = corrlags(2*nsamp-1, samplerate=1)
#
gcc = GCC(sig1, sig2)
#
def mkplot(est, p):
    plt.subplot(p)
    plt.plot(lags, est.sig, label=est.name)
    plt.legend()
#
cc_est = gcc.cc()
#
mkplot(cc_est, 611)
#
mkplot(gcc.scot(), 612)
mkplot(gcc.phat(), 613)
mkplot(gcc.roth(), 614)
mkplot(gcc.ht(), 615)
mkplot(gcc.eckart(noise_both, noise1, noise2), 616)
plt.figure()
plt.plot(np.correlate(sig1, sig2, 'full'))
plt.plot(gcc.cc())
plt.show()
